--[[

ARL-Vendor.lua

Vendor data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BZONE		= LibStub("LibBabble-Zone-3.0"):GetLookupTable();

-- Initializes the array adding all vendors

function ARL:ARL_InitVendor()

	ARL_VendorList = {}

	ARL:addVendorList(1, "Wrahk", BFAC["Horde"], BZONE["The Barrens"], "52, 32")
	ARL:addVendorList(2, "Valdaron", BFAC["Alliance"], BZONE["Darkshore"], "38, 41")
	ARL:addVendorList(3, "Constance Brisboise", BFAC["Horde"], BZONE["Tirisfal Glades"], "52, 56")
	ARL:addVendorList(4, "Tharynn Bouden", BFAC["Alliance"], BZONE["Elwynn Forest"], "42, 67")
	ARL:addVendorList(5, "Borya", BFAC["Horde"], BZONE["Orgrimmar"], "63, 51")
	ARL:addVendorList(6, "Andrew Hilbert", BFAC["Horde"], BZONE["Silverpine Forest"], "43, 40")
	ARL:addVendorList(7, "Gina MacGregor", BFAC["Alliance"], BZONE["Westfall"], "57, 54")
	ARL:addVendorList(8, "Rathis Tomber", BFAC["Horde"], BZONE["Ghostlands"], "47, 28")
	ARL:addVendorList(9, "Mahu", BFAC["Horde"], BZONE["Thunder Bluff"], "43, 44")
	ARL:addVendorList(10, "Drake Lindgren", BFAC["Alliance"], BZONE["Elwynn Forest"], "82, 66")
	ARL:addVendorList(11, "Elynna", BFAC["Alliance"], BZONE["Darnassus"], "64, 22")
	ARL:addVendorList(12, "Ranik", BFAC["Neutral"], BZONE["Ratchet"], "61, 38")
	ARL:addVendorList(13, "Amy Davenport", BFAC["Alliance"], BZONE["Redridge Mountains"], "29, 47")
	ARL:addVendorList(14, "Jennabink Powerseam", BFAC["Alliance"], BZONE["Wetlands"], "8, 55")
	ARL:addVendorList(15, "Kiknikle", BFAC["Neutral"], BZONE["The Barrens"], "41, 38")
	ARL:addVendorList(16, "Millie Gregorian", BFAC["Horde"], BZONE["Undercity"], "71, 28")
	ARL:addVendorList(17, "Rann Flamespinner", BFAC["Alliance"], BZONE["Loch Modan"], "36, 46")
	ARL:addVendorList(18, "Yonada", BFAC["Horde"], BZONE["The Barrens"], "44, 59")
	ARL:addVendorList(19, "Zixil", BFAC["Neutral"], BZONE["Hillsbrad Foothills"], "Patrols")
	ARL:addVendorList(20, "Nasmara Moonsong", BFAC["Neutral"], BZONE["Shattrath City"], "66, 67")

end
